web/src/openpaper/home/urls.py
# -*- coding: utf-8 -*-
from django.urls import re_path

from .views import (
    about,
    download_linux,
    index,
    opensource,
    projects,
    redirect_to_index
)


urlpatterns = [
    re_path(r'^$', index, name="index"),
    re_path(r'^about', about, name='about'),
    re_path(r'^download$', redirect_to_index, name='download'),
    re_path(r'^download/$', redirect_to_index, name='download'),
    re_path(r'^download/linux$', download_linux, name='download_linux'),
    re_path(r'^opensource', opensource, name='opensource'),
    re_path(r'^projects', projects, name='projects'),
]

web/src/openpaper/scannerdb/urls.py
# -*- coding: utf-8 -*-
from django.urls import re_path

from . import views


urlpatterns = [
    re_path(r'^$', views.home, name='home'),
    re_path(r'^report/(?P<report_id>[0-9]+)/$', views.report, name='report'),
    re_path(
        r'^scanner/(?P<scanner_id>[0-9]+)/$',
        views.scanner, name='scanner'
    ),
    re_path(
        r'^vendor/(?P<manufacturer_id>[0-9]+)/$',
        views.manufacturer, name='vendor'
    ),
    re_path(
        r'^report/(?P<report_id>[0-9]+)/delete$',
        views.delete_report, name='delete_report'
    ),
    re_path(
        r'^report/(?P<report_id>[0-9]+)/comment$',
        views.comment_report, name='comment_report'
    ),
    re_path(
        r'^report/(?P<report_id>[0-9]+)/traces_colorized/'
        '(?P<attachment_id>[0-9]+)/?',
        views.report_traces_colorized, name='report_traces_colorized'
    ),
    re_path(
        r'^report/(?P<report_id>[0-9]+)/validate$',
        views.validate_report, name='validate_report'
    ),
    re_path(
        r'^report/(?P<report_id>[0-9]+)/analyze$',
        views.analyze_report, name='analyze_report'
    ),
    re_path(
        r'^analyze_all$',
        views.analyze_all, name='analyze_all'
    ),
]

web/src/openpaper/urls.py
"""openpaper URL Configuration
"""
from django.conf.urls import include
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.contrib import sitemaps
from django.contrib.sitemaps.views import sitemap
from django.urls import (
    re_path,
    reverse
)


class RootViewSitemap(sitemaps.Sitemap):
    priority = 1.0
    changefreq = 'monthly'

    def items(self):
        return [
            'home:index',
        ]

    def location(self, item):
        return reverse(item)


class HighPriorityViewSitemap(sitemaps.Sitemap):
    priority = 0.75
    changefreq = 'monthly'

    def items(self):
        return [
        ]

    def location(self, item):
        return reverse(item)


class AveragePriorityViewSitemap(sitemaps.Sitemap):
    priority = 0.5
    changefreq = 'monthly'

    def items(self):
        return [
            'beacon:statistics',
            'home:opensource',
        ]

    def location(self, item):
        return reverse(item)


class LowPriorityViewSitemap(sitemaps.Sitemap):
    priority = 0.25
    changefreq = 'monthly'

    def items(self):
        return [
            'home:about',
        ]

    def location(self, item):
        return reverse(item)


sitemaps = {
    'root': RootViewSitemap,
    'high_prio': HighPriorityViewSitemap,
    'average_prio': AveragePriorityViewSitemap,
    'low_prio': LowPriorityViewSitemap,
}

urlpatterns = [
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^api/', include('openpaper.api.urls')),
    re_path(r'^beacon/', include('openpaper.beacon.urls')),  # alias for Paperwork
    re_path(
        r'^dashboard/',
        include(('openpaper.dashboard.urls', 'dashboard'), namespace='dashboard')
    ),
    re_path(r'^i18n/', include('django.conf.urls.i18n')),
    # re_path(r'^robots\.txt', include('robots.urls')),
    re_path(  # alias for IronScanner
        r'^scannerdb/',
        include(
            ('openpaper.scannerdb.urls', 'scannerdb'),
            namespace="scannerdb_no_i18n"
        )
    ),
    re_path(
        r'^sitemap\.xml$', sitemap, {'sitemaps': sitemaps},
        name='django.contrib.sitemaps.views.sitemap'
    ),
]

urlpatterns += i18n_patterns(
    re_path(r'^', include(('openpaper.home.urls', 'home'), namespace='home')),
    re_path(
        r'^paperwork/',
        include(('openpaper.beacon.urls', 'beacon'), namespace='beacon')
    ),
    re_path(
        r'^scanner_db/',
        include(('openpaper.scannerdb.urls', 'scannerdb'), namespace='scannerdb')
    ),
)

web/src/openpaper/home/models.py
# from django.db import models

# Create your models here.

web/src/openpaper/home/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render
from django.views.decorators.cache import cache_page

import openpaper.beacon.views


@cache_page(10 * 60)
def index(request):
    return render(request, 'home.html', {})


@cache_page(10 * 60)
def download_linux(request):
    ctx = {
        'latest_paperwork_version': openpaper.beacon.views.LATEST_PAPERWORK_VERSION
    }
    return render(request, 'download_linux.html', ctx)


@cache_page(10 * 60)
def opensource(request):
    return render(request, 'opensource.html', {})


@cache_page(10 * 60)
def projects(request):
    return render(request, 'projects.html', {})


@cache_page(10 * 60)
def about(request):
    return render(request, 'about.html', {})


def redirect_to_index(request):
    return HttpResponseRedirect('/')

web/src/openpaper/home/templates/about.html
{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "About OpenPaper" %}{% endblock %}

{% block body %}

{% blocktrans %}
<h2>About OpenPaper.work</h2>
{% endblocktrans %}

{% blocktrans %}
<h3>Author</h3>
{% endblocktrans %}

<p>
{% blocktrans %}
<a href="mailto:jflesch@openpaper.work">Jérôme Flesch</a>
{% endblocktrans %}
</p>

{% blocktrans %}
<h3>Source code</h3>
{% endblocktrans %}

<p>
{% blocktrans %}
<a href="https://gitlab.gnome.org/World/OpenPaperwork/openpaper.work">
	https://gitlab.gnome.org/World/OpenPaperwork/openpaper.work
</a>
{% endblocktrans %}
</p>

{% blocktrans %}
<h3>Personal data</h3>
{% endblocktrans %}

<p>
{% blocktrans %}
If you submit a scan report, you can provide some personal information:
<ul>
	<li>your name (or a nickname) (optional)</li>
	<li>your email address (optional)</li>
	<li>a scanned page (required, but content is free)</li>
</ul>
{% endblocktrans %}
</p>

<p>
{% blocktrans %}
The goal of those scan reports is the creation of scanner database, usable
freely by anyone. The intent here is research and development, but usage is not
limited to that. Reports are published under the
<a href="http://www.wtfpl.net/">WTFPL license</a>.
{% endblocktrans %}
</p>

<p>
{% blocktrans %}
The name you provide can freely be a nick name. The name you provide will:
<ul>
	<li>be published with the scan report (publicly)</li>
	<li>will remain in Openpaper.work database as long as your report
	does (Libinsane development never stops)</li>
	</li>
</ul>
{% endblocktrans %}

</p>

<p>
{% blocktrans %}
Your email address will:
<ul>
	<li>never be published or given to anyone else</li>
	<li>will only be used to contact you for matters related to your
	report or scanner: Only to get more information about any of them,
	or to ask you to try again with a more recent version of
	Libinsane/IronScanner (or their successors).</li>
	<li>will remain in Openpaper.work database as long as your report
	does (Libinsane development never stops)</li>
</ul>
{% endblocktrans %}
</p>

<p>
{% blocktrans %}
The scanned page will:
<ul>
	<li>be published with the scan report (publicly)</li>
	<li>will remain in Openpaper.work database as long as your report
	does (Libinsane development never stops)</li>
</ul>

{% endblocktrans %}
</p>

<p>
{% blocktrans %}
<a href="mailto:jflesch@openpaper.work">You can request deletion</a>
of any report containing your name, your email address or any
personal information at any time. Report will then be deleted as soon as
possible (usually less than 48 hours).
{% endblocktrans %}
</p>


{% blocktrans %}
<h3>Use of cookies</h3>
{% endblocktrans %}

<p>
{% blocktrans %}
No tracking is done (with or without cookies).<br/>
Some technical cookies may be
installed in your browser by the frameworks used to make this website
and are strictly optional.
{% endblocktrans %}
</p>

{% blocktrans %}
<h3>Host</h3>
{% endblocktrans %}

<p>
<a href="https://jerome.flesch.info/">
{% blocktrans %}
Self-hosted
{% endblocktrans %}
</a>
</p>

{% endblock %}

web/src/openpaper/home/templates/home.html
{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "Paperwork - Personal document management made fast and easy" %}{% endblock %}
{% block extra_headers %}
<link rel="stylesheet" href="{% static "openpaper_intro.css" %}">
<meta name="keywords" content="Paperwork, scanner, PDF, documents, PDM, sorting, Linux, Windows, WIA, OCR, free, opensource, GPL">
<meta name="description" content="{% trans "Paperwork, a personal document manager designed to make your life easier" %}">
{% endblock %}

{% block extra_head %}
<header class="hero">
    <section class="wrap-container hero-container">
        <h1 style="display: none;">Paperwork</h1><!-- just for search engine optimisation -->
        {% url "home:download_linux" as linux_dl_url %}
        {% blocktrans with win_dl_url="https://download.openpaper.work/windows/installer/paperwork_installer.exe" %}
        <h2 class="hero-headline">Sorting documents is a machine's job.</h2>
        <h3 class="hero-description">
            With <em>Paperwork</em>, scan or import your personal documents and find them back in a snap
        </h3>
        <div class="hero-banner-container">

            <article class="centered-content">
                <a href="{{ linux_dl_url }}"
                    class="download-cta"
                    onclick="window.goatcounter.count({path: '/dl-linux'});">
                    Download for GNU/Linux
                </a>
                <a href="{{ win_dl_url }}"
                    class="download-cta"
                    onclick="window.goatcounter.count({path: '/dl-windows'});">
                    Download for Windows
                </a>
            </article>

            <br/>
        </div>
        {% endblocktrans %}
    </section>
</header>
{% endblock %}

{% block body %}
<section class="introduction">
    <div class="introduction-container">

        <div class="introduction-item second-graphic">
            <div class="introduction-item-graphic-wrapper">
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork-screenshots/raw/master/2.0/paperwork_page.png">
                    <div class="introduction-screenshot"
                         style="background-image: url('{% static "paperwork-page-small.png" %}');">
                    </div>
                </a>
            </div>
            <div class="introduction-item-text-wrapper">
                {% blocktrans %}
                <h4 class="introduction-item-header">
                    Keep it simple
                </h4>
                <p class="introduction-item-text">
                Paperwork will help you sort all your papers by turning them into searchable
                documents. It's simple: just scan and forget. Looking for a specific paper? Just
                type in a few keywords and tada! You can search across your PDF files too!
                </p>
                {% endblocktrans %}
            </div>
        </div>

        <div class="introduction-item fourth-graphic">
            <div class="introduction-item-text-wrapper">
                {% blocktrans %}
                <h4 class="introduction-item-header">
                    Stay in control
                </h4>
                <p class="introduction-item-text">
                Paperwork stores everything under a single directory, which makes backing-up
                your
                documents easy. This folder can also be synchronized on many computers
                with tools like
                <a href="https://nextcloud.com/">Nextcloud</a>,
                <a href="https://syncthing.net/">Syncthing</a>,
                <a href="http://www.sparkleshare.org/">SparkleShare</a>,
                <a href="https://en.wikipedia.org/wiki/Shared_resource">Shared folders</a>,
                etc.
                Paperwork uses only common standards such as JPEG, hOCR and PDF, so you are not
                locked in any way.
                </p>
                {% endblocktrans %}
            </div>
            <div class="introduction-item-graphic-wrapper">
                <div class="introduction-screenshot"
                     style="background-image: url('{% static "onefolder3.png" %} ');">
                </div>
            </div>
        </div>

        <div class="introduction-item third-graphic">
            <div class="introduction-item-graphic-wrapper">
                <div class="introduction-screenshot"
                     style="background-image: url('{% static "hero4.png" %}');">
                </div>
            </div>
            <div class="introduction-item-text-wrapper">
                {% blocktrans %}
                <h4 class="introduction-item-header">
                    Intelligent sorting
                </h4>
                <p class="introduction-item-text">
                You like keeping your stuff tidy? Add colorful labels to your documents and keep
                them sorted! With time, Paperwork will learn which label goes where and will
                automatically apply them on new documents.
                </p>
                {% endblocktrans %}
            </div>
        </div>

        <div class="introduction-item fifth-graphic">
            <div class="introduction-item-text-wrapper">
                {% blocktrans %}
                <h4 class="introduction-item-header">
                    And much more
                </h4>
                <p class="introduction-item-text">
                Give Paperwork a try and discover other features, like automatic page orientation
                detection, quick page editing, and many more!
                </p>
                {% endblocktrans %}
            </div>
            <div class="introduction-item-graphic-wrapper">
                <div class="introduction-screenshot"
                     style="background-image: url('{% static "features.png" %}');">
                </div>
            </div>
        </div>

        <div class="introduction-item fourth-graphic">
            <div class="introduction-item-graphic-wrapper">
                <div class="introduction-screenshot"
                     style="background-image: url('{% static "blueprint2.png" %}');">
                </div>
            </div>
            <div class="introduction-item-text-wrapper" style="margin-top: 0em;">
                {% url 'home:opensource' as opensource_url %}
                {% url 'scannerdb:home' as scanner_db_url %}
                {% blocktrans %}
                <h4 class="introduction-item-header">
                    Open-Source
                </h4>
                <div class="introduction-item-text">
                    <p>
                    Because it is a requirement that you stay in control, and because we are proud
                    of what we do, Paperwork is distributed as Free Software. We welcome
                    contributions too!
                    </p>
                    <article class="centered-content">
                        <a href="{{ opensource_url }}" class="primary-cta">About open source</a>
                        <a href="{{ scanner_db_url }}" class="secondary-cta">Scanner database</a>
                        <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork" class="secondary-cta">
                            Show me the code!
                        </a>
                        <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/wikis/Contributing"
                            class="secondary-cta">Contributing</a>
                    </article>
                </div>
                {% endblocktrans %}
            </div>
        </div>

    </div>
    <hr>
</section>
{% endblock %}

web/src/openpaper/home/templates/opensource.html
{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "Open-source" context "Opensource page title" %}{% endblock %}

{% block extra_headers %}
<meta name="description" content="{% trans "Paperwork is opensource software (GPLv3). This page explains what it means for you." %}">
{% endblock %}

{% block body %}

{% blocktrans %}
<h2>What does "open-source" mean ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
Open-source software is software for which the source code is
provided openly. Source code is the materiel required to build
and modify software. You can think of it as recipes to build
programs.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
While a lot of programmers and companies keep the source code to
themselves (<i>proprietary</i> or <i>closed-source software</i>),
others choose to give it with their software
(<i>open-source software</i>, sometimes even <i>free software</i>).
</p>
{% endblocktrans %}

{% blocktrans %}
<p>Hence the word 'open-source'.</p>
{% endblocktrans %}

<a href="https://www.gnu.org/licenses/quick-guide-gplv3.html">
    <img style="float: right; margin: 5px; margin-top: 20px;"
         alt="GPLv3 logo"
	 src="{% static "gpl-v3.png" %}" />
</a>

{% blocktrans %}
<h2>Why is Paperwork open-source ?</h2>
{% endblocktrans %}

{% blocktrans %}
<h3>Trust</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
With closed-source software, it's hard to know what the program
is actually doing. It's far too easy for companies to hide spyware or
adware (or even worse) in their programs.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork has to handle strictly personal, confidential and very
sensitive data. You <strong>have to</strong> be able to trust it.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork is distributed under the licence GPLv3. This licence gives
you the right to obtain the source code of Paperwork, and all the
pieces of software it is linked with. Any Python programmers can
freely and easily
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">have a look at what
	Paperwork does and how
	it does it</a>.
<!-- If we would try to cheat,
any security expert could catch us really easily and denounce us. -->
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Learning and teaching</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
While developing Paperwork, we often looked at other open-source
programs to understand how they did things or just to inspire
ourselves. Now it's our turn to share.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Reuse</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork uses a lot of existing opensource programs and
librairies (Python, Gtk, python-simplebayes, ...). So many that
it's impossible to make a comprehensive list of all of them.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
While it uses a lot of existing programs and libraries,
we had to create others from scratchs. We gladly distribute
these components back as opensource. For instance,
while the library <a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a>
has been created especially for Paperwork, there are other projects,
like <a href="https://github.com/danielquinn/paperless">Paperless</a>,
who use it too. <!-- And I, Jflesch, am damn proud of it :-) -->
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Ownership</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
When you buy a book, what's written in it belongs to its author,
not to you. When you buy proprietary software, it still belongs
to their author(s), not to you. That's the way intellectual
property is supposed to work.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
However, in some way, distributing Paperwork as GPLv3 makes it
<strong>yours</strong>. If someday you decide to learn how to
program in Python, you will be free to learn from it or even
modify it.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Collaborate and improve</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork being opensource, everybody is free to contribute.
Many people
already have, and we are very thankful. Many other people have
also contributed to various components used by Paperwork
(unfortunately, it's almost impossible to list all the components).
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
If you modify and redistribute your own version of Paperwork,
the GPLv3 only asks a few things of you. The main one is that you too
must redistribute your version of the source code. Also, you
must redistribute it under the same licence, the GPLv3. This
mechanism ensures that Paperwork will always remain open-source.
</p>
{% endblocktrans %}

{% blocktrans %}
<p>
If you do modify it, you are invited (but not obligated)
to send us your modifications on
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">Gitlab</a>.
</p>
{% endblocktrans %}


{% blocktrans %}
<h3>Pride</h3>
{% endblocktrans %}

{% blocktrans %}
<p>
Open-source is also about being proud of what you do. When
you're proud of your work, you don't keep it shamefully
hidden under a blanket. You show it to the world.
</p>
{% endblocktrans %}

{% comment %}
{% blocktrans %}
<h2>Does that mean I can remove the activation key mechanism ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/blob/stable/src/paperwork/frontend/activation/__init__.py#L132">Of course</a>.
The activation key mechanism is just here to act as a reminder.
</p>
{% endblocktrans %}
{% endcomment %}

{% blocktrans %}
<h2>Where is Paperwork source code ?</h2>
{% endblocktrans %}

{% blocktrans %}
<p>
Paperwork source code is hosted on Gnome's Gitlab. It is actually made of many
components that anybody is free to reuse (there are various licences
and rules for each component however). It's impossible to list them
all, but here is a list of the components developed mostly by us:
</p>
{% endblocktrans %}

{% blocktrans %}
<ul>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">Paperwork</a>
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a>
		: A Python library to make things easier for Python's
		programmers who want to use OCR tools
		(Optical Character Recognition)
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/Libinsane">Libinsane</a>
		: A C library to make it easier to use scanner devices. Provided
		with bindings for many languages (Python, JS, etc) thanks to
		<a href="https://gi.readthedocs.io/en/latest/">GObject Introspection</a>.
	</li>
	<li>
		<a href="https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight">Libpillowfight</a>
		: A bunch of image processing algorithms
	</li>
</ul>
{% endblocktrans %}

{% endblock %}

web/src/openpaper/home/templates/projects.html
{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}{% trans "Open-source" context "Opensource page title" %}{% endblock %}

{% block extra_headers %}
<meta name="description" content="{% trans "Paperwork is opensource software (GPLv3). This page explains what it means for you." %}">
{% endblock %}

{% block body %}

{% blocktrans %}
<h1 style="text-align: center;">OpenPaper.work's Projects</h1>
{% endblocktrans %}

<div style="width: 100%;">
    <table style="width: 700px; margin: 0 auto;">
        <tr>
            <td style="width: 200px;">
                <a href="{% url 'home:index' %}">
                <img src="{% static "paperwork-logo.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="{% url 'home:index' %}">Paperwork</a></h3>

                {% url 'beacon:statistics' as paperwork_stats %}
                {% blocktrans %}
                <p>
                Paperwork is a personal document manager.
                It is the main project on OpenPaper.work.
                </p>
                <p>
                <a href="{{ paperwork_stats }}">Anonymous usage statistics</a> are available.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">
                <img src="{% static "pyocr.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/pyocr">PyOCR</a></h3>
                {% blocktrans %}
                <p>
                PyOCR is a Python library simplifying the use of OCR tools like
                Tesseract or Cuneiform. This library is used by Paperwork to
                run OCR on documents.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/libinsane">
                <img src="{% static "flatbed.png" %}" width="128" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/libinsane">Libinsane</a></h3>
                {% blocktrans %}
                <p>
                Libinsane is a C library to simplify the use of scanners
                on both GNU/Linux and Windows. This library is provided with
                bindings for many programming languages (Python, Javascript,
                Vala, etc) thanks to
                <a href="https://gi.readthedocs.io/en/latest/">GObject Introspection</a>.
                Paperwork uses Libinsane to access scanners.
                </p>
                {% endblocktrans %}

                <h3><a href="{% url 'scannerdb:home' %}">{% trans "Scanner database" %}</a></h3>
                {% blocktrans %}
                <p>
                This scanner database contains details about scanners and scanner drivers.
                It is useful to improve both Libinsane and Paperwork.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight">Libpillowfight</a></h3>
                {% blocktrans %}
                <p>
                C and Python library providing various image processing algorithms.
                </p>
                {% endblocktrans %}
            </td>
        </tr>

        <tr>
            <td>
                <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/pipelines">
                <img src="{% static "gitlab.png" %}" width="110" height="auto" />
                </a>
            </td>
            <td>
                <h3><a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/pipelines">{% trans "Continuous integration" %}</a></h3>
                {% blocktrans %}
                <p>
                OpenPaper.work projects are checked and rebuilt after each change.
                Paperwork's Flatpak repository is also updated after each change.
                </p>
                {% endblocktrans %}
            </td>
        </tr>
    </table>
</div>

{% endblock %}